## kdegraphics-mobipocket 23.04.2

=== debian/changelog ===
kdegraphics-mobipocket (4:23.04.2-0xneon+22.04+jammy+release+build18) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2023 06:38:54 +0000

kdegraphics-mobipocket (4:23.04.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2023 05:34:42 +0000

kdegraphics-mobipocket (4:23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 18:43:09 +0000

kdegraphics-mobipocket (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:09:57 +0000

kdegraphics-mobipocket (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:42:08 +0000

kdegraphics-mobipocket (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:20:19 +0000

kdegraphics-mobipocket (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:25:14 +0000

kdegraphics-mobipocket (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 09:46:50 +0000

kdegraphics-mobipocket (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:15:37 +0000

kdegraphics-mobipocket (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 09:49:14 +0000

kdegraphics-mobipocket (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:35:50 +0000

kdegraphics-mobipocket (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:00:36 +0000

kdegraphics-mobipocket (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 13:55:36 +0000

kdegraphics-mobipocket (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:09:03 +0000

kdegraphics-mobipocket (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 11:05:47 +0000

kdegraphics-mobipocket (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 10:59:45 +0000

kdegraphics-mobipocket (4:21.12.1.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Jan 2022 11:08:07 +0000

kdegraphics-mobipocket (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Nov 2021 16:42:30 +0000

kdegraphics-mobipocket (4:21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Oct 2021 13:33:44 +0000

kdegraphics-mobipocket (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:32:08 +0000

kdegraphics-mobipocket (4:21.08.0-0neon) focal; urgency=medium

  * New release

kdegraphics-mobipocket (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:53:32 +0000

kdegraphics-mobipocket (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 08:22:56 +0000

kdegraphics-mobipocket (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:53:33 +0000

kdegraphics-mobipocket (4:21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:21:19 +0000

kdegraphics-mobipocket (4:20.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Mar 2021 12:59:24 +0000

kdegraphics-mobipocket (4:20.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Feb 2021 11:13:15 +0000

kdegraphics-mobipocket (4:20.12.1-0neon) focal; urgency=medium

  * New release

kdegraphics-mobipocket (4:20.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Dec 2020 13:33:49 +0000

kdegraphics-mobipocket (4:20.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Nov 2020 07:06:46 +0000

kdegraphics-mobipocket (4:20.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Oct 2020 10:22:39 +0000

kdegraphics-mobipocket (4:20.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Sep 2020 11:22:28 +0000

kdegraphics-mobipocket (4:20.08.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Aug 2020 09:15:36 +0000

kdegraphics-mobipocket (4:20.04.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jul 2020 09:38:40 +0000

kdegraphics-mobipocket (4:20.04.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 17 May 2020 22:23:30 +0000

kdegraphics-mobipocket (4:20.04.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Apr 2020 17:46:13 +0000

kdegraphics-mobipocket (4:19.12.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 04 Mar 2020 10:58:39 +0000

kdegraphics-mobipocket (4:19.12.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Feb 2020 13:45:21 +0000

kdegraphics-mobipocket (4:19.12.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Jan 2020 17:15:10 +0000

kdegraphics-mobipocket (4:19.12.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Dec 2019 18:52:16 +0000

kdegraphics-mobipocket (4:19.08.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Nov 2019 10:11:22 +0000

kdegraphics-mobipocket (4:19.08.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 09 Oct 2019 18:08:56 +0000

kdegraphics-mobipocket (4:19.08.1-0neon) bionic; urgency=medium

  * New release



=== debian/control ===
Source: kdegraphics-mobipocket
Section: kde
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.3.0~),
               libkf5kio-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.4.0~)
Standards-Version: 4.1.3
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/kdegraphics-mobipocket.git
Vcs-Browser: https://invent.kde.org/neon/kde/kdegraphics-mobipocket
Maintainer: Neon CI <neon@kde.org>

Package: libqmobipocket-dev
Architecture: any
Depends: libkf5i18n-dev,
         libqmobipocket2 (= ${binary:Version}),
         qtbase5-dev (>= 5.4.0~),
         ${misc:Depends}
Section: libdevel
Description: development files for the QMobipocket library
 QMobipocket is a Qt library for reading Mobipocket documents.
 .
 This package contains the files necessary for development.
 .
 This package is part of the KDE graphics module.

Package: libqmobipocket2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Section: libs
Multi-Arch: same
Description: library for reading Mobipocket documents
 QMobipocket is a Qt library for reading Mobipocket documents.
 .
 This package is part of the KDE graphics module.

Package: kdegraphics-mobipocket
Architecture: all
Priority: extra
Section: oldlibs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: mobipocket thumbnail plugin - empty transitional
 This package contains a plugin to read mobi files as thumbnails in KDE.
 .
 This package is a dummy and can be removed.

## kdegraphics-mobipocket 23.08.0

=== debian/changelog ===
kdegraphics-mobipocket (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:52:49 +0100

kdegraphics-mobipocket (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:32:42 +0100

kdegraphics-mobipocket (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:45:21 +0100

kdegraphics-mobipocket (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Update installed files
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:55:57 +0100

kdegraphics-mobipocket (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:36:49 +0000

kdegraphics-mobipocket (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:14:48 -0600

kdegraphics-mobipocket (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:13:45 +0000

kdegraphics-mobipocket (4:22.12.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.
    - Make kdegraphics-mobipocket a transitional package, as the plugin
      has moved to kdegraphics-thumbnailers.

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Dec 2022 14:26:30 +0000

kdegraphics-mobipocket (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:07:55 +0000

kdegraphics-mobipocket (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:04:15 +0000

kdegraphics-mobipocket (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:49:40 +0000

kdegraphics-mobipocket (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:07:48 +0000

## kdegraphics-mobipocket 23.08.1

=== debian/changelog ===
kdegraphics-mobipocket (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:57:55 +0100

## kdegraphics-mobipocket 23.08.4

=== debian/changelog ===
kdegraphics-mobipocket (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:14:05 +0000

kdegraphics-mobipocket (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:33:34 +0000

kdegraphics-mobipocket (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:29:50 +0100

## kdegraphics-mobipocket 23.08.5

=== debian/changelog ===
kdegraphics-mobipocket (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:41:17 +0000

kdegraphics-mobipocket (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:50:28 +0000

kdegraphics-mobipocket (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:42:00 -0700

=== debian/control ===
Source: kdegraphics-mobipocket
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90.0~),
               libkf5kio-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.12.0~),
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/graphics/kdegraphics-mobipocket
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdegraphics-mobipocket
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdegraphics-mobipocket
Rules-Requires-Root: no

Package: kdegraphics-mobipocket
Architecture: all
Priority: optional
Section: oldlibs
Depends: kdegraphics-thumbnailers (>= 4:22.03.90~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: mobipocket thumbnail plugin - transitional package
 This package contains a plugin to read mobi files as thumbnails in KDE.
 .
 This package is a dummy and can safely be removed.

Package: libqmobipocket-dev
Architecture: any
Depends: libkf5i18n-dev,
         libqmobipocket2 (= ${binary:Version}),
         qtbase5-dev (>= 5.12.0~),
         ${misc:Depends},
Section: libdevel
Description: development files for the QMobipocket library
 QMobipocket is a Qt library for reading Mobipocket documents.
 .
 This package contains the files necessary for development.
 .
 This package is part of the KDE graphics module.

Package: libqmobipocket2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Section: libs
Multi-Arch: same
Description: library for reading Mobipocket documents
 QMobipocket is a Qt library for reading Mobipocket documents.
 .
 This package is part of the KDE graphics module.

## kdegraphics-mobipocket 24.02.2

=== debian/changelog ===
kdegraphics-mobipocket (4:24.02.2-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.02.2).
  * Update build-deps and deps with the info from cmake.
  * Also build Qt6 libQMobipocket6 version of the library.
  * Replace pkg-config build-dep with pkgconf.
  * Add bug tracker links to upstream metadata.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 May 2024 21:12:29 +0200

=== debian/control ===
Source: kdegraphics-mobipocket
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.92.0~),
               libxkbcommon-dev (>= 0.5.0~),
               libkf5kio-dev,
               pkgconf,
               pkg-kde-tools,
               qt6-5compat-dev (>= 6.5.0~),
               qt6-base-dev (>= 6.5.0~),
               qtbase5-dev (>= 5.12.0~),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/graphics/kdegraphics-mobipocket
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdegraphics-mobipocket
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdegraphics-mobipocket.git
Rules-Requires-Root: no

Package: libqmobipocket-dev
Architecture: any
Depends: libkf5i18n-dev,
         libqmobipocket2 (= ${binary:Version}),
         qtbase5-dev (>= 5.12.0~),
         ${misc:Depends},
Section: libdevel
Description: development files for the QMobipocket library
 QMobipocket is a Qt5 library for reading Mobipocket documents.
 .
 This package contains the files necessary for development.
 .
 This package is part of the KDE graphics module.

Package: libqmobipocket2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Section: libs
Multi-Arch: same
Description: Qt5 library for reading Mobipocket documents
 QMobipocket is a Qt5 library for reading Mobipocket documents.
 .
 This package is part of the KDE graphics module.

Package: libqmobipocket6-dev
Architecture: any
Depends: libqmobipocket6-2 (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0~),
         ${misc:Depends},
Section: libdevel
Description: development files for the QMobipocket6 library
 QMobipocket6 is a Qt6 library for reading Mobipocket documents.
 .
 This package contains the files necessary for development.
 .
 This package is part of the KDE graphics module.

Package: libqmobipocket6-2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Section: libs
Multi-Arch: same
Description: Qt6 library for reading Mobipocket documents
 QMobipocket6 is a Qt6 library for reading Mobipocket documents.
 .
 This package is part of the KDE graphics module.

## kdegraphics-mobipocket 24.05.2

=== debian/changelog ===
kdegraphics-mobipocket (4:24.05.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * New upstream release (24.05.2).
  * Remove inactive uploaders, thanks for your work.

 -- Patrick Franz <deltaone@debian.org>  Sat, 06 Jul 2024 12:49:31 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
            Sune Vuorela <sune@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),

## kdegraphics-mobipocket 24.08.2

=== debian/changelog ===
kdegraphics-mobipocket (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 17:54:06 -0500

kdegraphics-mobipocket (4:24.08.2-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 14 Oct 2024 08:20:46 +0200

kdegraphics-mobipocket (4:24.08.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.0, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 25 Aug 2024 15:30:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: kdegraphics-mobipocket
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sune Vuorela <sune@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.92.0~),
+               libkf5kio-dev,
                libxkbcommon-dev (>= 0.5.0~),
-               libkf5kio-dev,
+               pkg-kde-tools,
                pkgconf,
-               pkg-kde-tools,
                qt6-5compat-dev (>= 6.5.0~),
                qt6-base-dev (>= 6.5.0~),
                qtbase5-dev (>= 5.12.0~),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/graphics/kdegraphics-mobipocket
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdegraphics-mobipocket
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdegraphics-mobipocket.git

## kdegraphics-mobipocket 24.12.0

=== debian/changelog ===
kdegraphics-mobipocket (4:24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Dec 2024 09:15:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: kdegraphics-mobipocket
 Section: kde
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>,
            Sune Vuorela <sune@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 5.92.0~),
                libkf5kio-dev,
                libxkbcommon-dev (>= 0.5.0~),

## kdegraphics-mobipocket 24.12.1

=== debian/changelog ===
kdegraphics-mobipocket (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:09:59 +0000

kdegraphics-mobipocket (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:10:25 +0000

kdegraphics-mobipocket (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:06:45 +0000

kdegraphics-mobipocket (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Tue, 19 Nov 2024 20:47:39 +0000

kdegraphics-mobipocket (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:39:16 +0000

## kdegraphics-mobipocket 24.12.3

=== debian/changelog ===
kdegraphics-mobipocket (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:40:16 +0000

kdegraphics-mobipocket (4:24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 09:50:56 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: kdegraphics-mobipocket
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
            Sune Vuorela <sune@debian.org>,
-Build-Depends: debhelper-compat (= 13),
-               cmake (>= 3.16~),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 5.92.0~),
                libkf5kio-dev,
                libxkbcommon-dev (>= 0.5.0~),
@@ -17,8 +17,8 @@
                qtbase5-dev (>= 5.12.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/graphics/kdegraphics-mobipocket
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdegraphics-mobipocket
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdegraphics-mobipocket.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdegraphics-mobipocket
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdegraphics-mobipocket
 Rules-Requires-Root: no
 
 Package: libqmobipocket-dev

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5

override_dh_auto_configure-arch:
	dh_auto_configure -- -DENABLE_DOCS=OFF -DQT_MAJOR_VERSION=5
	dh_auto_configure --builddirectory=build-qt6 -- -DENABLE_DOCS=OFF -DENABLE_CONSOLE=OFF -DENABLE_CLI=OFF -DQT_MAJOR_VERSION=6

override_dh_auto_configure-indep:
	dh_auto_configure -- -DENABLE_DOCS=ON -DQT_MAJOR_VERSION=5
	dh_auto_configure --builddirectory=build-qt6 -- -DENABLE_DOCS=ON -DENABLE_CONSOLE=OFF -DENABLE_CLI=OFF -DQT_MAJOR_VERSION=6

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --builddirectory=build-qt6

override_dh_auto_test:
	dh_auto_test
	dh_auto_test --builddirectory=build-qt6

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --builddirectory=build-qt6

## kdegraphics-mobipocket 25.04.0

=== debian/changelog ===
kdegraphics-mobipocket (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.03.90).
  * New upstream release (25.04.0).
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 21:42:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: kdegraphics-mobipocket
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sune Vuorela <sune@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 5.92.0~),
                libkf5kio-dev,
                libxkbcommon-dev (>= 0.5.0~),
@@ -15,10 +14,10 @@
                qt6-5compat-dev (>= 6.5.0~),
                qt6-base-dev (>= 6.5.0~),
                qtbase5-dev (>= 5.12.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/graphics/kdegraphics-mobipocket
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdegraphics-mobipocket
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdegraphics-mobipocket
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdegraphics-mobipocket
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdegraphics-mobipocket.git
 Rules-Requires-Root: no
 
 Package: libqmobipocket-dev

## kdegraphics-mobipocket 25.04.3

=== lib/CMakeLists.txt ===
if (QT_MAJOR_VERSION STREQUAL "6")
    set(qmobipocket_INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR}/QMobipocket6)
else()
    set(qmobipocket_INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR}/QMobipocket)
endif()

add_library(qmobipocket SHARED)
set_target_properties(qmobipocket PROPERTIES
    VERSION ${QMOBIPOCKET_VERSION}
    SOVERSION ${QMOBIPOCKET_SOVERSION}
)
if (QT_MAJOR_VERSION STREQUAL "6")
    set_target_properties(qmobipocket PROPERTIES
        LIBRARY_OUTPUT_NAME QMobipocket6
        EXPORT_NAME QMobipocket6
    )
endif()

target_sources( qmobipocket PRIVATE
    decompressor.cpp
    mobipocket.cpp
    qfilestream.cpp
)

if (QT_MAJOR_VERSION STREQUAL "5")
    set(_generate_export_header_version_args)
else()
    # For Qt6/KF6 world transitively include the version header
    if(ECM_VERSION VERSION_LESS "5.106")
        set(include_version_header_code "#include <qmobipocket_version.h>\n")
        set(_generate_export_header_version_args CUSTOM_CONTENT_FROM_VARIABLE include_version_header_code)
    else()
        set(_generate_export_header_version_args USE_VERSION_HEADER)
    endif()
endif()

ecm_generate_export_header(qmobipocket
     VERSION ${QMOBIPOCKET_VERSION}
     DEPRECATED_BASE_VERSION 0
    ${_generate_export_header_version_args}
)

target_link_libraries (qmobipocket
    PUBLIC
    Qt${QT_MAJOR_VERSION}::Core
    Qt${QT_MAJOR_VERSION}::Gui
)

if(TARGET Qt6::Core5Compat)
    target_link_libraries(qmobipocket PRIVATE Qt6::Core5Compat)
endif()

target_include_directories(qmobipocket
    INTERFACE
        "$<INSTALL_INTERFACE:${qmobipocket_INCLUDE_INSTALL_DIR}>"
)

install(FILES
    mobipocket.h
    qfilestream.h
    ${CMAKE_CURRENT_BINARY_DIR}/qmobipocket_export.h
    DESTINATION ${qmobipocket_INCLUDE_INSTALL_DIR}/qmobipocket
    COMPONENT Devel
)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/qmobipocket_version.h
    DESTINATION ${qmobipocket_INCLUDE_INSTALL_DIR}
    COMPONENT Devel
)

install(TARGETS qmobipocket EXPORT QMobipocketTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kdegraphics-mobipocket (4:25.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Upstream versions starting from 25.12 will drop support for Qt 5; hence,
    drop it in advance:
    - drop the libqmobipocket-dev, and libqmobipocket2 binary packages
    - drop the libkf5kio-dev, and qtbase5-dev build dependencies
    - drop the double build, unconditionally passing -DQT_MAJOR_VERSION=6
      to cmake
  * Modernize building:
    - add the dh-sequence-kf6 build dependency to use the kf6 addon
      automatically
    - drop the pkg-kde-tools build dependency, no more explicitly needed
    - drop all the manually specified addons and buildsystem for dh
  * Drop unused cmake arguments.
  * CI: update/simplify configuration.

 -- Pino Toscano <pino@debian.org>  Sat, 11 Oct 2025 13:41:48 +0200

=== debian/control ===
Source: kdegraphics-mobipocket
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 5.92.0~),
               libxkbcommon-dev (>= 0.5.0~),
               pkgconf,
               qt6-5compat-dev (>= 6.5.0~),
               qt6-base-dev (>= 6.5.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/graphics/kdegraphics-mobipocket
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdegraphics-mobipocket
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdegraphics-mobipocket.git

Package: libqmobipocket6-dev
Architecture: any
Depends: libqmobipocket6-2 (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0~),
         ${misc:Depends},
Section: libdevel
Description: development files for the QMobipocket6 library
 QMobipocket6 is a Qt6 library for reading Mobipocket documents.
 .
 This package contains the files necessary for development.
 .
 This package is part of the KDE graphics module.

Package: libqmobipocket6-2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Section: libs
Multi-Arch: same
Description: Qt6 library for reading Mobipocket documents
 QMobipocket6 is a Qt6 library for reading Mobipocket documents.
 .
 This package is part of the KDE graphics module.

## kdegraphics-mobipocket 25.07.80

=== debian/changelog ===
kdegraphics-mobipocket (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)
  * Follow upstream soname bumps.
  * Disable tests at build time.
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:08:39 +0100

kdegraphics-mobipocket (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:41:12 +0100

kdegraphics-mobipocket (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:42:57 +0100

kdegraphics-mobipocket (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:04:54 +0100

kdegraphics-mobipocket (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:47:09 +0100

## kdegraphics-mobipocket 25.07.90

=== debian/changelog ===
kdegraphics-mobipocket (4:25.07.90-0ubuntu2) questing; urgency=medium

  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 18:52:07 +0100

kdegraphics-mobipocket (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:42:55 +0100

## kdegraphics-mobipocket 25.08.0

=== debian/changelog ===
kdegraphics-mobipocket (4:25.08.0-0zneon+24.04+noble+release+build17) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 22:16:11 +0000

kdegraphics-mobipocket (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 13:27:15 +0000

kdegraphics-mobipocket (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 12:11:22 +0000

kdegraphics-mobipocket (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 11:11:35 +0000

kdegraphics-mobipocket (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:01:36 +0000

kdegraphics-mobipocket (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 12:02:26 +0000

kdegraphics-mobipocket (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 14:23:54 +0000

kdegraphics-mobipocket (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:17:35 +0000

kdegraphics-mobipocket (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:08:56 +0000

kdegraphics-mobipocket (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:05:16 +0000

kdegraphics-mobipocket (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 11:05:26 +0000

kdegraphics-mobipocket (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 21:43:13 +0000

kdegraphics-mobipocket (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 08:18:58 +0000

kdegraphics-mobipocket (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 10:24:15 +0000

kdegraphics-mobipocket (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:00:55 +0000

kdegraphics-mobipocket (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:24:04 +0000

kdegraphics-mobipocket (4:24.02.0-2neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:12:54 +0000

kdegraphics-mobipocket (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:06:35 +0000

kdegraphics-mobipocket (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:47:37 +0000

kdegraphics-mobipocket (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Nov 2023 15:31:01 +0000

kdegraphics-mobipocket (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:22:38 +0000

kdegraphics-mobipocket (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 21:59:18 +0000

kdegraphics-mobipocket (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 09:52:58 +0000

kdegraphics-mobipocket (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Jul 2023 11:42:46 +0000

=== debian/control ===
Source: kdegraphics-mobipocket
Section: kde
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-ki18n-dev,
               kf6-kio-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev
Standards-Version: 4.6.2
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/kdegraphics-mobipocket.git
Vcs-Browser: https://invent.kde.org/neon/kde/kdegraphics-mobipocket
Maintainer: Neon CI <neon@kde.org>

Package: libqmobipocket-dev
Architecture: any
Breaks: libqmobipocket6-dev (<< 4:24.02.0)
Replaces: libqmobipocket6-dev (<< 4:24.02)
Depends: libqmobipocket6-2 (= ${binary:Version}), qt6-base-dev, ${misc:Depends}
Section: libdevel
Description: development files for the QMobipocket library
 QMobipocket is a Qt library for reading Mobipocket documents.
 .
 This package contains the files necessary for development.
 .
 This package is part of the KDE graphics module.

Package: libqmobipocket6-2
Architecture: any
Breaks: libqmobipocket2 (<< 4:24.02.0)
Provides: libqmobipocket2
Replaces: libqmobipocket2
Depends: ${misc:Depends}, ${shlibs:Depends}
Section: libs
Multi-Arch: same
Description: library for reading Mobipocket documents
 QMobipocket is a Qt library for reading Mobipocket documents.
 .
 This package is part of the KDE graphics module.

Package: kdegraphics-mobipocket
Architecture: all
Priority: optional
Section: oldlibs
Provides: kdegraphics-mobipocket6
Replaces: kdegraphics-mobipocket6
Depends: libqmobipocket6-2, ${misc:Depends}
Description: Empty transitional package
 This package is a dummy package and can be removed.

Package: libqmobipocket6-dev
Architecture: all
Priority: optional
Section: oldlibs
Depends: libqmobipocket-dev, ${misc:Depends}
Description: Empty transitional package
 This package is a dummy package and can be removed.

Package: libqmobipocket2
Architecture: all
Priority: optional
Section: oldlibs
Depends: libqmobipocket6-2, ${misc:Depends}
Description: Empty transitional package
 This package is a dummy package and can be removed.

## kdegraphics-mobipocket 25.08.1

=== debian/changelog ===
kdegraphics-mobipocket (4:25.08.1-0zneon+24.04+noble+release+build19) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 11:44:10 +0000

kdegraphics-mobipocket (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 09:53:52 +0000

## kdegraphics-mobipocket 25.08.1+p24.04+vstable+git20250909.1458

=== debian/changelog ===
kdegraphics-mobipocket (4:25.08.1+p24.04+vstable+git20250909.1458-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 14:58:23 +0000

## kdegraphics-mobipocket 25.08.1+p24.04+vunstable+git20250909.1458

=== debian/changelog ===
kdegraphics-mobipocket (4:25.08.1+p24.04+vunstable+git20250909.1458-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 14:58:27 +0000

## kdegraphics-mobipocket 25.08.2

=== debian/changelog ===
kdegraphics-mobipocket (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:43:38 +0100

kdegraphics-mobipocket (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:53:00 +0100

kdegraphics-mobipocket (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:23:03 +0100

=== debian/control ===
Source: kdegraphics-mobipocket
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.92.0~),
               libkf5kio-dev,
               libxkbcommon-dev (>= 0.5.0~),
               pkg-kde-tools,
               pkgconf,
               qt6-5compat-dev (>= 6.5.0~),
               qt6-base-dev (>= 6.5.0~),
               qtbase5-dev (>= 5.12.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/graphics/kdegraphics-mobipocket
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdegraphics-mobipocket
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdegraphics-mobipocket
Rules-Requires-Root: no

Package: libqmobipocket-dev
Architecture: any
Depends: libkf5i18n-dev,
         libqmobipocket3 (= ${binary:Version}),
         qtbase5-dev (>= 5.12.0~),
         ${misc:Depends},
Section: libdevel
Description: development files for the QMobipocket library
 QMobipocket is a Qt5 library for reading Mobipocket documents.
 .
 This package contains the files necessary for development.
 .
 This package is part of the KDE graphics module.

Package: libqmobipocket3
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Section: libs
Multi-Arch: same
Description: Qt5 library for reading Mobipocket documents
 QMobipocket is a Qt5 library for reading Mobipocket documents.
 .
 This package is part of the KDE graphics module.

Package: libqmobipocket6-dev
Architecture: any
Depends: libqmobipocket6-3 (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0~),
         ${misc:Depends},
Section: libdevel
Description: development files for the QMobipocket6 library
 QMobipocket6 is a Qt6 library for reading Mobipocket documents.
 .
 This package contains the files necessary for development.
 .
 This package is part of the KDE graphics module.

Package: libqmobipocket6-3
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Section: libs
Multi-Arch: same
Description: Qt6 library for reading Mobipocket documents
 QMobipocket6 is a Qt6 library for reading Mobipocket documents.
 .
 This package is part of the KDE graphics module.

## kdegraphics-mobipocket 25.08.2+p24.04+vstable+git20251010.0849

=== debian/changelog ===
kdegraphics-mobipocket (4:25.08.2+p24.04+vstable+git20251010.0849-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 08:49:17 +0000

kdegraphics-mobipocket (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 04:48:43 +0000

## kdegraphics-mobipocket 25.08.2+p24.04+vunstable+git20251010.0849

=== debian/changelog ===
kdegraphics-mobipocket (4:25.08.2+p24.04+vunstable+git20251010.0849-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 08:49:21 +0000

## kdegraphics-mobipocket 25.08.3

=== autotests/CMakeLists.txt ===
find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test)

add_executable(bitreadertest_bin bitreadertest.cpp)
target_link_libraries(bitreadertest_bin
    Qt${QT_MAJOR_VERSION}::Test
)
ecm_mark_as_test(bitreadertest_bin)

# Run the benchmarks with just 1 iteration during CI, so we known it works
add_test(NAME bitreadertest COMMAND bitreadertest_bin "-iterations" "1")


add_executable(decompressortest_bin
    decompressortest.cpp
    ../lib/decompressor.cpp
)
target_link_libraries(decompressortest_bin
    Qt${QT_MAJOR_VERSION}::Test
)
ecm_mark_as_test(decompressortest_bin)

# Run the benchmarks with just 1 iteration during CI, so we known it works
add_test(NAME decompressortest COMMAND decompressortest_bin "-iterations" "1")

configure_file(testsconfig.h.in
               ${CMAKE_CURRENT_BINARY_DIR}/testsconfig.h @ONLY)

ecm_add_test(mobipockettest.cpp
    TEST_NAME "mobipockettest"
    LINK_LIBRARIES
        Qt${QT_MAJOR_VERSION}::Test
        qmobipocket
)

=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,14 @@
 else()
     set(qmobipocket_INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR}/QMobipocket)
 endif()
+
+ecm_qt_declare_logging_category(debug_SRCS
+    HEADER qmobipocket_debug.h
+    IDENTIFIER QMOBIPOCKET_LOG
+    CATEGORY_NAME org.kde.mobipocket
+    DESCRIPTION "Mobipocket"
+    EXPORT QMOBIPOCKET
+)
 
 add_library(qmobipocket SHARED)
 set_target_properties(qmobipocket PROPERTIES
@@ -19,7 +27,8 @@
 target_sources( qmobipocket PRIVATE
     decompressor.cpp
     mobipocket.cpp
-    qfilestream.cpp
+    pdb.cpp
+    ${debug_SRCS}
 )
 
 if (QT_MAJOR_VERSION STREQUAL "5")
@@ -46,10 +55,6 @@
     Qt${QT_MAJOR_VERSION}::Gui
 )
 
-if(TARGET Qt6::Core5Compat)
-    target_link_libraries(qmobipocket PRIVATE Qt6::Core5Compat)
-endif()
-
 target_include_directories(qmobipocket
     INTERFACE
         "$<INSTALL_INTERFACE:${qmobipocket_INCLUDE_INSTALL_DIR}>"
@@ -57,7 +62,6 @@
 
 install(FILES
     mobipocket.h
-    qfilestream.h
     ${CMAKE_CURRENT_BINARY_DIR}/qmobipocket_export.h
     DESTINATION ${qmobipocket_INCLUDE_INSTALL_DIR}/qmobipocket
     COMPONENT Devel
@@ -70,3 +74,9 @@
 )
 
 install(TARGETS qmobipocket EXPORT QMobipocketTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
+
+ecm_qt_install_logging_categories(
+    EXPORT QMOBIPOCKET
+    FILE qmobipocket.categories
+    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
+)

=== debian/changelog ===
kdegraphics-mobipocket (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:13:14 +0000

=== debian/rules ===
--- 
+++ 
@@ -18,8 +18,8 @@
 	dh_auto_build --builddirectory=build-qt6
 
 override_dh_auto_test:
-	dh_auto_test
-	dh_auto_test --builddirectory=build-qt6
+	# Disable unittest at build time
+	:
 
 override_dh_auto_install:
 	dh_auto_install

## kdegraphics-mobipocket 25.08.3+p24.04+vstable+git20251123.1530

=== debian/changelog ===
kdegraphics-mobipocket (4:25.08.3+p24.04+vstable+git20251123.1530-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 15:30:56 +0000

kdegraphics-mobipocket (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:35:53 +1000

## kdegraphics-mobipocket 25.08.3+p24.04+vunstable+git20251106.1748

=== debian/changelog ===
kdegraphics-mobipocket (4:25.08.3+p24.04+vunstable+git20251106.1748-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 17:48:15 +0000

## kdegraphics-mobipocket 25.08.3+p24.04+vunstable+git20251123.1257

=== debian/changelog ===
kdegraphics-mobipocket (4:25.08.3+p24.04+vunstable+git20251123.1257-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 12:57:20 +0000
